# xarray.ufuncs.copysign

`xarray.ufuncs.``copysign` = <xarray.ufuncs._UFuncDispatcher object>

  xarray specific variant of numpy.copysign. Handles xarray.Dataset, xarray.DataArray, xarray.Variable, numpy.ndarray and dask.array.Array objects with automatic dispatching.

  Documentation from numpy:

  Change the sign of x1 to that of x2, element-wise.

  If x2 is a scalar, its sign will be copied to all elements of x1.

  Parameters:

  - x1 (array_like) – Values to change the sign of.
  - x2 (array_like) – The sign of x2 is copied to x1. If `x1.shape != x2.shape`, they must be broadcastable to a common shape (which becomes the shape of the output).
  - out (ndarray, None, or tuple of ndarray and None, optional) – A location into which the result is stored. If provided, it must have a shape that the inputs broadcast to. If not provided or None, a freshly-allocated array is returned. A tuple (possible only as a keyword argument) must have length equal to the number of outputs.
  - where (array_like, optional) – This condition is broadcast over the input. At locations where the condition is True, the out array will be set to the ufunc result. Elsewhere, the out array will retain its original value. Note that if an uninitialized out array is created via the default `out=None`, locations within it where the condition is False will remain uninitialized.
  - **kwargs – For other keyword-only arguments, see the ufunc docs.

  Returns: | out – The values of x1 with the sign of x2. This is a scalar if both x1 and x2 are scalars.
  Return type: | ndarray or scalar

  Examples

      >>> np.copysign(1.3, -1)
      -1.3
      >>> 1/np.copysign(0, 1)
      inf
      >>> 1/np.copysign(0, -1)
      -inf

      >>> np.copysign([-1, 0, 1], -1.1)
      array([-1., -0., -1.])
      >>> np.copysign([-1, 0, 1], np.arange(3)-1)
      array([-1.,  0.,  1.])